Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jfree.data
Interface KeyedValues2D

All Superinterfaces:
  Values2D

All Known Subinterfaces:
  BoxAndWhiskerCategoryDataset, CategoryDataset, GanttCategoryDataset, IntervalCategoryDataset, KeyedValues2DDataset, StatisticalCategoryDataset

All Known Implementing Classes:
  DefaultBoxAndWhiskerCategoryDataset, DefaultCategoryDataset, DefaultIntervalCategoryDataset, DefaultKeyedValues2D, DefaultKeyedValues2DDataset, DefaultStatisticalCategoryDataset, TaskSeriesCollection

public interface KeyedValues2D
extends Values2D

An extension of the `Values2D` interface where a unique key is associated with the row and column indices.

Method Summary
`int` | `getColumnIndex(java.lang.Comparable key)` Returns the column index for a given key.
`java.lang.Comparable` | `getColumnKey(int column)` Returns a column key.
`java.util.List` | `getColumnKeys()` Returns the column keys.
`int` | `getRowIndex(java.lang.Comparable key)` Returns the row index for a given key.
`java.lang.Comparable` | `getRowKey(int row)` Returns a row key.
`java.util.List` | `getRowKeys()` Returns the row keys.
`java.lang.Number` | `getValue(java.lang.Comparable rowKey, java.lang.Comparable columnKey)` Returns the value for a pair of keys.

Methods inherited from interface org.jfree.data.Values2D
`getColumnCount, getRowCount, getValue`

Method Detail

### getRowKey

    public java.lang.Comparable getRowKey(int row)

  Returns a row key.

  Parameters:
    `row` - the row index (zero-based).
  Returns:
    the row key.

### getRowIndex

    public int getRowIndex(java.lang.Comparable key)

  Returns the row index for a given key.

  Parameters:
    `key` - the row key.
  Returns:
    the row index.

### getRowKeys

    public java.util.List getRowKeys()

  Returns the row keys.

  Returns:
    the keys.

### getColumnKey

    public java.lang.Comparable getColumnKey(int column)

  Returns a column key.

  Parameters:
    `column` - the column index (zero-based).
  Returns:
    the column key.

### getColumnIndex

    public int getColumnIndex(java.lang.Comparable key)

  Returns the column index for a given key.

  Parameters:
    `key` - the column key.
  Returns:
    the column index.

### getColumnKeys

    public java.util.List getColumnKeys()

  Returns the column keys.

  Returns:
    the keys.

### getValue

    public java.lang.Number getValue(java.lang.Comparable rowKey,
                                     java.lang.Comparable columnKey)

  Returns the value for a pair of keys.

  This method should return null if either of the keys is not found.

  Parameters:
    `rowKey` - the row key.
    `columnKey` - the column key.
  Returns:
    the value.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD